import express from 'express'

export function getRandomPort () {
  return 1000 + (Math.random() * 39000) >> 0
}

export async function createMockServer ({ port }) {
  const app = express()
  const server = await new Promise(resolve => {
    const server = app.listen(port, () => resolve(server))
  })
  server.respondWith = function (routes) {
    for (const [route, data] of Object.entries(routes)) {
      app.get(route, (req, res) => res.json(data))
    }
  }
  return server
}
